UbuntuUpdates.org

Package "libssl-dev"

Name: libssl-dev

Description:

Secure Sockets Layer toolkit - development files

Latest version: 1.1.1f-1ubuntu2.13
Release: focal (20.04)
Level: updates
Repository: main
Head package: openssl
Homepage: https://www.openssl.org/

Links


Download "libssl-dev"


Other versions of "libssl-dev" in Focal

Repository Area Version
base main 1.1.1f-1ubuntu2
security main 1.1.1f-1ubuntu2.13

Changelog

Version: 1.1.1f-1ubuntu2.13 2022-05-04 19:06:26 UTC

  openssl (1.1.1f-1ubuntu2.13) focal-security; urgency=medium

  * SECURITY UPDATE: c_rehash script allows command injection
    - debian/patches/CVE-2022-1292.patch: do not use shell to invoke
      openssl in tools/c_rehash.in.
    - CVE-2022-1292

 -- Marc Deslauriers <email address hidden> Tue, 03 May 2022 13:49:36 -0400

Source diff to previous version
CVE-2022-1292 The c_rehash script does not properly sanitise shell metacharacters to ...

Version: 1.1.1f-1ubuntu2.12 2022-03-15 20:07:27 UTC

  openssl (1.1.1f-1ubuntu2.12) focal-security; urgency=medium

  * SECURITY UPDATE: Infinite loop in BN_mod_sqrt()
    - debian/patches/CVE-2022-0778-1.patch: fix infinite loop in
      crypto/bn/bn_sqrt.c.
    - debian/patches/CVE-2022-0778-2.patch: add documentation of
      BN_mod_sqrt() in doc/man3/BN_add.pod.
    - debian/patches/CVE-2022-0778-3.patch: add a negative testcase for
      BN_mod_sqrt in test/bntest.c, test/recipes/10-test_bn_data/bnmod.txt.
    - CVE-2022-0778

 -- Marc Deslauriers <email address hidden> Wed, 09 Mar 2022 07:12:45 -0500

Source diff to previous version
CVE-2022-0778 Infinite loop in BN_mod_sqrt() reachable when parsing certificates

Version: 1.1.1f-1ubuntu2.11 2022-03-07 12:06:20 UTC

  openssl (1.1.1f-1ubuntu2.11) focal; urgency=medium

  * Fixup pointer authentication for armv8 systems that support it when
    using the poly1305 MAC, preventing segmentation faults. (LP: #1960863)
    - d/p/lp-1960863-crypto-poly1305-asm-fix-armv8-pointer-authenticat.patch

 -- Matthew Ruffell <email address hidden> Tue, 15 Feb 2022 10:10:01 +1300

Source diff to previous version
1960863 armv8 paca: poly1305 users see segfaults when pointer authentication in use on AWS Graviton 3 instances

Version: 1.1.1f-1ubuntu2.10 2021-12-07 19:07:11 UTC

  openssl (1.1.1f-1ubuntu2.10) focal; urgency=medium

  * Cherry-pick upstream fixes to prevent double engine loading (LP: #1951943)

 -- Julian Andres Klode <email address hidden> Wed, 24 Nov 2021 14:20:48 +0100

Source diff to previous version
1951943 Engine crashes when loading the configuration more than once

Version: 1.1.1f-1ubuntu2.9 2021-11-15 15:07:22 UTC

  openssl (1.1.1f-1ubuntu2.9) focal; urgency=medium

  * Cherry-pick stable patches to fix potential use-after-free. LP:
    #1940656

 -- Dimitri John Ledkov <email address hidden> Wed, 25 Aug 2021 02:13:44 +0100




About   -   Send Feedback to @ubuntu_updates